Subject: Re: [Bitcoin-development] Signature Blocks and URI Sign Requests

From: Gavin Andresen <[email-masked]>
Date: Tue, 3 Apr 2012 14:46:17 -0400

RE: signature blocks and BIP 10:

We should avoid reinventing the wheel, if we can. I think we should
extend existing standards whenever possible.

So: could we encode signature blocks or BIP-10 transactions using
S/MIME ?  Or is there a more appropriate "sign a message" standard we
could/should use?

You're glossing over little details like what character encoding is
used for the message, but I'd rather leverage all the work already
done by the IETF to nail down all those little details rather then
re-discover them and come up with our own solutions.

-- 
--
Gavin Andresen